﻿using NBAManagment.Entities;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace NBAManagment.Models
{
    public class Matchup
    {
        [Key]
        public int IdMatchup { get; set; }
        public int IdSeason { get; set; }
        public int IdMatchupType { get; set; }
        public int IdTeamAway { get; set; }
        public int IdTeamHome { get; set; }
        public DateTime Starttime { get; set; }
        public int? TeamAwayScore { get; set; }
        public int? TeamHomeScore { get; set; }
        public string Location { get; set; }
        public int IdStatus { get; set; }

        // Навигационные свойства
        [ForeignKey("IdSeason")]
        public virtual Season IdSeasonNavigation { get; set; }
        [ForeignKey("IdMatchupType")]
        public virtual MatchupType IdMatchupTypeNavigation { get; set; }
        [ForeignKey("IdTeamAway")]
        public virtual Team TeamAwayNavigation { get; set; }
        [ForeignKey("IdTeamHome")]
        public virtual Team TeamHomeNavigation { get; set; }
        [ForeignKey("IdStatus")]
        public virtual Status IdStatusNavigation { get; set; }
    }
}
